# Gradio app for image classification with resnet18

This project implements a small [gradio](https://www.gradio.app/) app that takes a link to a iiif manifest as input, donwloads the images of the manifest and and applies Pytorchs's [resnet18](https://pytorch.org/vision/main/models/generated/torchvision.models.resnet18.html) image classification model to it.

To run the webapp type 

```shell
python resnet_classifier_gradio.py
```

in your terminal to host it on http://127.0.0.1:7860 .

![Example manifest](./example.png)
